Collection accounts

List collection accounts

GET
/v1/collection-accounts

List collection accounts from newest to oldest.

Authorization

ApiKeyAuth
X-API-Key<token>

The API key identifies your business. Requests do not include a business ID.

In: header

Query Parameters

search?string

Match an account name, reference, or virtual account number.

per_page?integer

The page contains 20 accounts by default and at most 100 accounts.

Rangevalue <= 100
Default20
cursor?string

Pass the previous page's next_cursor value.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/collection-accounts"
{  "status": true,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "reference": "string",      "name": "string",      "bank_account": {        "account_name": "string",        "account_number": "string",        "bank_name": "string"      },      "payout_destination": {        "chain": "string",        "address": "string"      },      "created_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "per_page": 0,    "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b",    "from": "2019-08-24T14:15:22Z",    "to": "2019-08-24T14:15:22Z"  }}